Bug 1322471 - git-review: Provide a Python 3 subpackage
Summary: git-review: Provide a Python 3 subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git-review
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-03-30 14:30 UTC by Tomas Orsava
Modified: 2016-10-09 02:52 UTC (History)
5 users (show)

Fixed In Version: git-review-1.25.0-4.fc26 git-review-1.25.0-4.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-09 02:52:55 UTC
Type: Bug


Attachments (Terms of Use)
move-to-python3.patch (1.70 KB, patch)
2016-07-15 17:55 UTC, dima
no flags Details | Diff
i changed patch for support build python2 on nonfedora OS. (2.37 KB, patch)
2016-07-15 19:43 UTC, dima
no flags Details | Diff
Modernized specfile and Python 3 support for Fedora (3.60 KB, patch)
2016-09-06 07:54 UTC, Lumír Balhar
no flags Details | Diff

Description Tomas Orsava 2016-03-30 14:30:28 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Pete Zaitcev 2016-03-31 04:00:33 UTC
I tried to support py3 when F24 branched. It kinda works, but is full of bugs.
Mostly things like b'' around everything printed. I'll have another look later.

Comment 2 Tomas Orsava 2016-03-31 08:42:26 UTC
Thank you for taking the time, hopefully upstream had time to iron it out a little bit. And if you find bugs don't hesitate to report them upstream.

Comment 3 dima 2016-07-15 17:55:34 UTC
Created attachment 1180227 [details]
move-to-python3.patch

hello
if i correct understand https://communityblog.fedoraproject.org/port-python-package/ patch should be good
thanks for any feedback.

Comment 4 dima 2016-07-15 19:43:09 UTC
Created attachment 1180247 [details]
i changed patch for support build python2 on nonfedora OS.

i changed patch for support build python2 on nonfedora OS.

Comment 5 Jan Kurik 2016-07-26 05:13:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 6 Lumír Balhar 2016-08-08 09:43:01 UTC
Hello.

This patch looks good but needs to be rebased. I have just few suggestions:
- Is better to be more specific in BuildRequires/Requires - for example python2-devel instead python-devel (where applicable)
- Same for macros - %{__python2} instead %{__python}, %{python2_sitelib} instead %{python_sitelib}

Also, please consider if is possible to package both versions (for python2 and python3) in the same time as subpackages.

Comment 7 Lumír Balhar 2016-08-31 10:13:52 UTC
Hello.

I am still not sure if we should package this software as 'application with module' in one package - in this case for both python versions; or only as application and only for Python 3.

I think that git-review is useless as Python module so I vote for package it as application only and only for Python 3.

I sent a question about this to the biggest contributor of upstream of this project.

If maintainer has enough knowledge to make a decision, it would be very appreciated.

Thanks for your help.

Comment 8 Monty Taylor 2016-08-31 12:31:26 UTC
I do not believe git-review is useful as a module, so treating it as python3-only seems like a fine choice.

Comment 9 Lumír Balhar 2016-09-06 07:54:21 UTC
Created attachment 1198105 [details]
Modernized specfile and Python 3 support for Fedora

Hello.

Based on the last comment from the upstream developer I am providing the new patch for specfile.

This patch moves git-review to Python 3 in Fedora.

Comment 10 Lumír Balhar 2016-09-06 07:54:49 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15513621

Comment 11 Dominika Krejčí 2016-09-06 09:07:16 UTC
Hi Lumír,

the patch looks good to me. If maintainer has nothing against, we can push
this after a week.

Comment 12 Pete Zaitcev 2016-09-06 15:08:37 UTC
Thanks for the help, and I'm sorry not to look into this. Unfortunatley,
I am going out of town for a week. Be back on 9/14 and fist thing do
this unless a proven packager does. OTL

Comment 13 Pete Zaitcev 2016-09-15 00:00:20 UTC
Built git-review-1.25.0-4.fc26 with Lumir's patch.

Comment 14 Lumír Balhar 2016-09-21 09:56:20 UTC
Hello, Pete.

Could you please also make an update for F25?

Thank you very much.
Lumir

Comment 15 Pete Zaitcev 2016-09-22 20:12:41 UTC
Lumir, please see
https://bodhi.fedoraproject.org/updates/git-review-1.25.0-4.fc25

Comment 16 Fedora Update System 2016-09-24 01:51:26 UTC
git-review-1.25.0-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4fb06d2fa8

Comment 17 Fedora Update System 2016-10-09 02:52:55 UTC
git-review-1.25.0-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.